<div class="container">


  <div class="navigation">
  
    <a class="button" href="" (click)="logout()">
      <img src="https://pbs.twimg.com/profile_images/378800000639740507/fc0aaad744734cd1dbc8aeb3d51f8729_400x400.jpeg">
    
    <div class="logout">LOGOUT</div>
  
    </a>
    
  </div>
  


  <mat-table [dataSource]="dataSource">

    <ng-container matColumnDef="id">
      <th mat-header-cell *matHeaderCellDef> id </th>
      <td mat-cell *matCellDef="let element"> {{element.id}} </td>
    </ng-container>

    <ng-container matColumnDef="contractStartDate">
      <th mat-header-cell *matHeaderCellDef> Contract Start Date </th>
      <td mat-cell *matCellDef="let element"> {{element.contractStartDate| date: 'dd/MM/yyyy hh:mm a'}} </td>
    </ng-container>

    <ng-container matColumnDef="contractEndDate">
      <th mat-header-cell *matHeaderCellDef> Contract End Date </th>
      <td mat-cell *matCellDef="let element"> {{element.contractEndDate | date: 'dd/MM/yyyy hh:mm a'}} </td>
    </ng-container>

    <ng-container matColumnDef="name">
      <th mat-header-cell *matHeaderCellDef> Name </th>
      <td mat-cell *matCellDef="let element"> {{element.name}} </td>
    </ng-container>



    <ng-container matColumnDef="action">
      <th mat-header-cell *matHeaderCellDef> </th>
      <td mat-cell *matCellDef="let element">
        <button (click)="goToDetail(element.id)"> Detail</button>
      </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

  </mat-table>
  <mat-paginator [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons></mat-paginator>
</div>

